# sortlist_type.h File Reference

Base types for having sorted lists in GUIs. More...

`#include "core/enum_type.hpp"`
`#include "core/bitmath_func.hpp"`
`#include "core/mem_func.hpp"`
`#include "core/sort_func.hpp"`
`#include "core/smallvec_type.hpp"`
`#include "date_type.h"`

Go to the source code of this file.

## Data Structures
struct | Listing
struct | Filtering
class | GUIList< T, F >
## Enumerations
enum | SortListFlags { VL_NONE = 0, VL_DESC = 1 << 0, VL_RESORT = 1 << 1, VL_REBUILD = 1 << 2, VL_FIRST_SORT = 1 << 3, VL_FILTER = 1 << 4, VL_END = 1 << 5 }
## Functions
| DECLARE_ENUM_AS_BIT_SET (SortListFlags)

## Detailed Description

Base types for having sorted lists in GUIs.

Definition in file sortlist_type.h.

## Enumeration Type Documentation

enum SortListFlags

Enumerator:

  VL_NONE | no sort
  VL_DESC | sort descending or ascending
  VL_RESORT | instruct the code to resort the list in the next loop
  VL_REBUILD | rebuild the sort list
  VL_FIRST_SORT | sort with qsort first
  VL_FILTER | filter disabled/enabled

Definition at line 15 of file sortlist_type.h.